Bug 112133 - Polishing the visual appearance
Summary: Polishing the visual appearance
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: low normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.0.0
Keywords: accessibility
Depends on: 112242
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-08-31 08:10 UTC by Heiko Tietze
Modified: 2017-09-13 11:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot with helplines (177.61 KB, image/png)
2017-08-31 08:10 UTC, Heiko Tietze
Details
Description in gtk3 vs. kde4 (22.00 KB, image/png)
2017-09-08 08:05 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-08-31 08:10:43 UTC
Created attachment 135896 [details]
Screenshot with helplines

That includes:
* vertically align of the dual list controls at top and bottom
* vertically center align small controls' captions (search, category)
* vertically top align captions of large controls (description)
* horizontally align captions at the keyboard tab

For labels
* drop all colons
* remove the bold font style at the keyboard tab
* provide mnemonics for all captions with focusable controls (add, remove, insert, modify, reset... but not description)
* take care of unique mnemonics (alt+C = category & cancel)

Functional
* disable the description when nothing is to show there (no offline help installed)
Comment 1 Adolfo Jayme 2017-09-03 09:05:11 UTC
While we’re here, can we drop the Add and Remove labels from the arrow buttons, and have them only as tooltips? I reckon these won’t work for l10n, because those words are much longer in some languages.
Comment 2 Heiko Tietze 2017-09-03 14:46:38 UTC
(In reply to Adolfo Jayme from comment #1)
> While we’re here, can we drop the Add and Remove labels from the arrow
> buttons, and have them only as tooltips? I reckon these won’t work for l10n,
> because those words are much longer in some languages.

Sounds reasonable (IIRC we talked about this) with the downside of a11y; delete works for Remove right now, but Add should get a shortcut like ctrl+plus.
Comment 3 Muhammet Kara 2017-09-04 10:45:36 UTC
I see that the screenshot doesn't reflect the test package[0] presented in the final submission report[1]. There are two patches still waiting to be merged on gerrit which deals with some visual adjustments.[2][3]

I'll work on this bug once they are merged. In the mean time, that would be wonderful if you could update the bug report according to the test package if you have the time. :)

[0] https://drive.google.com/open?id=0B-JvlLHm1-kKcW5xbmR5Q1l3bDg
[1] https://gist.github.com/mrkara/a65fc6a92fc94fc9595b57131d79b743
[2] https://gerrit.libreoffice.org/41569
[3] https://gerrit.libreoffice.org/41671
Comment 4 Heiko Tietze 2017-09-04 10:48:25 UTC
(In reply to Muhammet Kara from comment #3)
> I see that the screenshot doesn't reflect the test package...

Since you run your own branch I guess it's all up to date when I pull. I suggest you merge with master to get more reviewers/early users.
Comment 5 Muhammet Kara 2017-09-05 12:09:34 UTC
(In reply to Heiko Tietze from comment #4)
> (In reply to Muhammet Kara from comment #3)
> > I see that the screenshot doesn't reflect the test package...
> 
> Since you run your own branch I guess it's all up to date when I pull. I
> suggest you merge with master to get more reviewers/early users.

Done! :) The revamped dialog is now on master, thanks to bubli.
Comment 6 Muhammet Kara 2017-09-08 07:47:32 UTC
(In reply to Heiko Tietze from comment #0)
> Created attachment 135896 [details]
> Screenshot with helplines
> 
> That includes:
> * vertically align of the dual list controls at top and bottom
> * vertically center align small controls' captions (search, category)
> * vertically top align captions of large controls (description)

Done.

> * horizontally align captions at the keyboard tab

Do you mean aligning the captions "Shortcut Keys" and "Functions" with the boxes under them?

> 
> For labels
> * drop all colons
> * remove the bold font style at the keyboard tab
> * provide mnemonics for all captions with focusable controls (add, remove,
> insert, modify, reset... but not description)
> * take care of unique mnemonics (alt+C = category & cancel)

Done.

> 
> Functional
> * disable the description when nothing is to show there (no offline help
> installed)

You mean hiding the description field, right? What should happen to the functions list when the description is hidden? Expand to fill the empty space?
Comment 7 Heiko Tietze 2017-09-08 08:01:44 UTC
(In reply to Muhammet Kara from comment #6)
> Done.

Brilliant
 
> > * horizontally align captions at the keyboard tab
> 
> Do you mean aligning the captions "Shortcut Keys" and "Functions" with the
> boxes under them?

Yes, this tab has an indentation of controls, uses bold for captions, and has inappropriate spacing between caption and control (category, function, keys).
Actually I wonder if it make sense to place the labels also left of the control. 

> > 
> > Functional
> > * disable the description when nothing is to show there (no offline help
> > installed)
> 
> You mean hiding the description field, right? What should happen to the
> functions list when the description is hidden? Expand to fill the empty
> space?

I'm very carefully with hiding controls. Looking at the dialog in gtk3 the field is clearly disabled while kde4 is not. How about disabling also the caption (description)?

Please also consider Adolfo's comment 1. As it's Jay's layout he should have a word.
Comment 8 Heiko Tietze 2017-09-08 08:05:16 UTC
Created attachment 136109 [details]
Description in gtk3 vs. kde4

Disabled controls in gtk3 vs kde4
Comment 9 Muhammet Kara 2017-09-08 20:47:56 UTC
(In reply to Heiko Tietze from comment #7)
> (In reply to Muhammet Kara from comment #6)
> > Done.
> 
> Brilliant
>  
> > > * horizontally align captions at the keyboard tab
> > 
> > Do you mean aligning the captions "Shortcut Keys" and "Functions" with the
> > boxes under them?
> 
> Yes, this tab has an indentation of controls, uses bold for captions, and
> has inappropriate spacing between caption and control (category, function,
> keys).
> Actually I wonder if it make sense to place the labels also left of the
> control. 
> 
> > > 
> > > Functional
> > > * disable the description when nothing is to show there (no offline help
> > > installed)
> > 
> > You mean hiding the description field, right? What should happen to the
> > functions list when the description is hidden? Expand to fill the empty
> > space?
> 
> I'm very carefully with hiding controls. Looking at the dialog in gtk3 the
> field is clearly disabled while kde4 is not. How about disabling also the
> caption (description)?
> 
> Please also consider Adolfo's comment 1. As it's Jay's layout he should have
> a word.

As Jay pointed out on IRC that tooltips are read/recognized by assistive technologies, I guess we can put "Add" and "Remove" as tooltips. Jay, any suggestions?
Comment 10 Commit Notification 2017-09-09 11:06:51 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e409c0ffe311eca849c1153d013e7a5260993bd

tdf#112133: Polish the visual appearance of the Customize dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Yousuf Philips (jay) (retired) 2017-09-11 14:42:30 UTC
(In reply to Muhammet Kara from comment #9)
> As Jay pointed out on IRC that tooltips are read/recognized by assistive
> technologies, I guess we can put "Add" and "Remove" as tooltips. Jay, any
> suggestions?

As the arrows are quite self explanatory, just like the up and down arrows buttons on the right of the dialog, having the labels as tooltips seems fine to me and will eliminate any l10n issues with the size of the labels.
Comment 12 Heiko Tietze 2017-09-12 19:52:42 UTC
When adding a command to a menu or context menu that already contains this items a confirmation box is shown telling the user that this operation is not possible. Not the best approach, and you better disable the add button.
Comment 13 Muhammet Kara 2017-09-13 09:30:12 UTC
(In reply to Yousuf Philips (jay) from comment #11)
> (In reply to Muhammet Kara from comment #9)
> > As Jay pointed out on IRC that tooltips are read/recognized by assistive
> > technologies, I guess we can put "Add" and "Remove" as tooltips. Jay, any
> > suggestions?
> 
> As the arrows are quite self explanatory, just like the up and down arrows
> buttons on the right of the dialog, having the labels as tooltips seems fine
> to me and will eliminate any l10n issues with the size of the labels.

Done with https://gerrit.libreoffice.org/#/c/42233/
Comment 14 Muhammet Kara 2017-09-13 10:09:37 UTC
(In reply to Heiko Tietze from comment #12)
> When adding a command to a menu or context menu that already contains this
> items a confirmation box is shown telling the user that this operation is
> not possible. Not the best approach, and you better disable the add button.

This requires some more than dev effort than the polishing task itself. Let's separate it.
Comment 15 Commit Notification 2017-09-13 11:05:29 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f60cfe259277e45f858ba5cbf39750217cb0953

tdf#112133: Drop the Add and Remove labels

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.